Bug 43547 - Update python-pysaml2 in UCS 4.2
Update python-pysaml2 in UCS 4.2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: SAML
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Florian Best
Erik Damrose
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-15 13:10 CET by Florian Best
Modified: 2017-04-04 18:28 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-02-15 13:10:19 CET
I think we should import the latest pysaml version from stretch.
Comment 1 Florian Best univentionstaff 2017-02-15 19:18:57 CET
Imported https://packages.debian.org/source/stretch/python-pysaml2

Target Release: RelTag(major=4, minor=2, subminor=0, updatelevel=0, product='ucs', id=78)
Merging possible patches from preversions
svn: URL 'svn+ssh://build@billy.knut.univention.de/var/svn/patches/python-pysaml2/4.2-0-0-ucs' doesn't exist
Could not check out patches
Writing new source revision to database
Pruning older revisions in this release tag:
2.4.0-2
Merged id 82808 into release 4.2-0-0
Imported from deb suite=stretch
Old Source Revision has been replaced: 74755
New Source Revision: 82808

Changelog entry:
r76716 | Changelog Bug #43547

UCS-Test passes:
ucs-test -E dangerous -s saml
Comment 2 Florian Best univentionstaff 2017-02-15 19:21:02 CET
The python3 version has been removed from the source package as this is not available in debian jessy[UCS 4.2] either and causes build failures.
Comment 3 Florian Best univentionstaff 2017-02-15 19:43:40 CET
This fixes also Bug #43393.
Comment 4 Erik Damrose univentionstaff 2017-03-01 17:29:21 CET
Verified
Comment 5 Stefan Gohmann univentionstaff 2017-04-04 18:28:43 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".